| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Friends | List of all members
Tp::Farstream::PendingChannel Class Reference

`#include </home/kaffeine/devel/gsoc/release/telepathy-qt/TelepathyQt/Farstream/channel.h>`

Inherits Tp::PendingOperation.

## Public Member Functions

| ~PendingChannel ()
TfChannel * | tfChannel () const
CallChannelPtr | callChannel () const
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Friends

PendingChannel * | createChannel (const CallChannelPtr &channel)

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Constructor & Destructor Documentation

Tp::Farstream::PendingChannel::~PendingChannel | ( |  | ) |

## Member Function Documentation

TfChannel * Tp::Farstream::PendingChannel::tfChannel | ( |  | ) | const

CallChannelPtr Tp::Farstream::PendingChannel::callChannel | ( |  | ) | const

## Friends And Related Function Documentation

PendingChannel* createChannel | ( | const CallChannelPtr & | channel | ) |

friend